//    Licensed under the Apache License, Version 2.0 (the "License");
//    you may not use this file except in compliance with the License.
//    You may obtain a copy of the License at
//
//        http://www.apache.org/licenses/LICENSE-2.0
//
//    Unless required by applicable law or agreed to in writing, software
//    distributed under the License is distributed on an "AS IS" BASIS,
//    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//    See the License for the specific language governing permissions and
//    limitations under the License.
package packet_test

import (
	"testing"

	"github.com/stretchr/testify/assert"

	"github.com/bboozzoo/mconnect/protocol/packet"
)

func TestParseFromData(t *testing.T) {
	p, err := packet.FromData([]byte(`foobar`))
	assert.Error(t, err)

	p, err = packet.FromData([]byte(`{}`))
	assert.Error(t, err)

	p, err = packet.FromData([]byte(`{"id": 123, "type": "foo","body":{}}`))
	assert.NoError(t, err)
	assert.NotNil(t, p)
	assert.Equal(t, p, &packet.Packet{
		Id:   uint64(123),
		Type: "foo",
		Body: []byte("{}"),
	})
}
